Bug 1679345 - [RFE] Build transmission-gtk with libappindicator support
Summary: [RFE] Build transmission-gtk with libappindicator support
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: transmission
Version: 29
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-20 23:57 UTC by Real Name
Modified: 2019-02-23 02:08 UTC (History)
8 users (show)

Fixed In Version: transmission-2.94-5.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-23 02:08:29 UTC


Attachments (Terms of Use)

Description Real Name 2019-02-20 23:57:11 UTC
Description of problem:
Legacy tray icons were deprecated and replaced by Appindicator/(K)StatusNotifier. Transmission has had support for it for a while, but it's not built against libappindicator in Fedora.


Version-Release number of selected component (if applicable):
transmission-gtk-2.94-3.fc29.x86_64


How reproducible:
Always


Steps to Reproduce:
1. Start Transmission-GTK with (K)StatusNotifier/AppIndicator GNOME Shell extension
2. No icon is shown in the panel

Actual results:
No status icon appears in the panel


Expected results:
A status icon for Transmission must show up if the user has installed the aforementioned shell extension


Additional info:
Well, it seems straightforward (I rebuilt it from source by just adding "BuildRequires: libappindicator-gtk3-devel" and it worked), so no additional maintenance burden?

Comment 1 Fedora Update System 2019-02-21 16:47:48 UTC
transmission-2.94-5.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-37ee471464

Comment 2 Fedora Update System 2019-02-22 03:06:26 UTC
transmission-2.94-5.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-37ee471464

Comment 3 Fedora Update System 2019-02-23 02:08:29 UTC
transmission-2.94-5.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.